#pragma once

#include "CoreMinimal.h"
#include "LevelInstance/LevelInstanceTypes.h"
#include "HoudiniLevelInstanceParams.generated.h"

USTRUCT(BlueprintType)
struct FHoudiniLevelInstanceParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ELevelInstanceCreationType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString OutputName;

public:
	HOUDINIENGINERUNTIME_API FHoudiniLevelInstanceParams();
};

FORCEINLINE uint32 GetTypeHash(const FHoudiniLevelInstanceParams) { return 0; }
